Subject: Re: [5gangip] Presentations from the side meeting

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 6 Apr 2016 15:01:52 -0500

Hi Folks,

Our slides are attached.

Regards,

Dirk & Behcet

On Tue, Apr 5, 2016 at 2:39 PM, Behcet Sarikaya <[email-masked]> wrote:
>  Hi all,
>
> We received requests for presentations. We hereby ask each presenter
> to make a pdf file and share it with 5G list.
>
> Thanks,
>
> Behcet

---

From: Dino Farinacci <[email-masked]>
Date: Wed, 6 Apr 2016 15:29:18 -0700

> Our slides are attached.

I have one comment on this claim:

If everything else is ignored and you just look at the fact that ILNP has to be deploy in host stacks where LISP can be deployed in a very few nodes in the network means that LISP is easier to deploy than ILNP.

Dino

---

From: Ca By <[email-masked]>
Date: Wed, 6 Apr 2016 16:07:06 -0700

On Wednesday, April 6, 2016, Dino Farinacci <[email-masked]> wrote:

> If everything else is ignored and you just look at the fact that ILNP has
> to be deploy in host stacks where LISP can be deployed in a very few nodes
> in the network means that LISP is easier to deploy than ILNP.
>
> Dino
>
>
Hi Dino,

The idea is that the 5g momentum is a possible opportunity to achieve that
host level modification. In mobile, OS evolution is relatively quick
compared to the rest of the internet.

>From a mobile network provider perspective, ILNP is simpler since it is a
host solution. ILNP is just another OS feature.  If ILNP is added to the 5g
spec and Android and iOS comply with the spec, done. LISP requires yet
another piece of core gear / core function, telco integration , deebugging
gear that can sniffer tunnels for diagnostics, and testing yet another
feature to infinity.

And, i for one, do not care for the tunneled internet that LISP creates. On
the other hand, i am very supportive for the e2e ipv6 network that ILNP
creates.  This is a fundamental difference that i will always draw a line
to.

CB

---

From: Dino Farinacci <[email-masked]>
Date: Wed, 6 Apr 2016 16:18:11 -0700

> The idea is that the 5g momentum is a possible opportunity to achieve that host level modification. In mobile, OS evolution is relatively quick compared to the rest of the internet. 

Well the phrase “ILNP is easier” is not empirical. And when more nodes have to change, even if they are easy to change, and there are orders of magntitude more of them than network nodes, it won’t be easier. Because everyone won’t change at the same time and you have a host-to-host interoperability problem. Just like an IPv4-only host and an IPv6-only host that may want to talk to each other.

> From a mobile network provider perspective, ILNP is simpler since it is a host solution. ILNP is just another OS feature.  If ILNP is added to the 5g spec and Android and iOS comply with the spec, done. 

What if that Android node needs to talk to www.yahoo.com? What is being claimed is much “easier said than done”. If what you say it is easy then why aren’t we all running SCTP everywhere?

> LISP requires yet another piece of core gear / core function, telco integration , deebugging gear that can sniffer tunnels for diagnostics, and testing yet another feature to infinity. 

No, it requires an upgrade, possibly only software, in *existing* gear. And the mapping database can be implemented in server hardware that is on the edge and part of the infrastructure. In the same sort of nodes that DNS servers and resolvers are implemented in.

> And, i for one, do not care for the tunneled internet that LISP creates. On the other hand, i am very 

They are not fixed tunnels like most are accustomed to thinking. They are dynamically encapsulated packets that can change where packets go dynamically and frequently. They are not setup any more than a route is setup for regular datagram routing.

> supportive for the e2e ipv6 network that ILNP creates.  This is a fundamental difference that i will always draw a line to. 
> 
> CB 

We can get that with a LISP EID allocation where nodes get IPv6 EIDs assigned THAT NEVER CHANGE. When you do that you can find nodes quickly and without support from DNS. The fact that IPv6 LISP-based EIDs are static is a feature and not a bug. I can explain more offline.

Dino

---

From: Ca By <[email-masked]>
Date: Wed, 6 Apr 2016 16:54:27 -0700

On Wednesday, April 6, 2016, Dino Farinacci <[email-masked]> wrote:

>
> >
> >
> > On Wednesday, April 6, 2016, Dino Farinacci <[email-masked]
> <javascript:;>> wrote:
> >> Our slides are attached.
> >
> > If everything else is ignored and you just look at the fact that ILNP
> has to be deploy in host stacks where LISP can be deployed in a very few
> nodes in the network means that LISP is easier to deploy than ILNP.
> >
> > Dino
> >
> >
> > Hi Dino,
> >
> > The idea is that the 5g momentum is a possible opportunity to achieve
> that host level modification. In mobile, OS evolution is relatively quick
> Well the phrase “ILNP is easier” is not empirical.

Agreed

> And when more nodes have to change, even if they are easy to change, and
> there are orders of magntitude more of them than network nodes, it won’t be
> easier. Because everyone won’t change at the same time and you have a
> host-to-host interoperability problem. Just like an IPv4-only host and an
> IPv6-only host that may want to talk to each other.
>
>
There are solutions like happy eyeballs and TLS ALPN to handle this nature
of thing. I think it is good to shed technical debt.

> > From a mobile network provider perspective, ILNP is simpler since it is
> a host solution. ILNP is just another OS feature.  If ILNP is added to the
> 5g spec and Android and iOS comply with the spec, done.
>
> What if that Android node needs to talk to www.yahoo.com? What is being
> claimed is much “easier said than done”. If what you say it is easy then
> why aren’t we all running SCTP everywhere?
>
>
Maybe we would be running SCTP or mSCTP if we had asked for it in 4G

> > LISP requires yet another piece of core gear / core function, telco
> integration , deebugging gear that can sniffer tunnels for diagnostics, and
> testing yet another feature to infinity.
>
> No, it requires an upgrade, possibly only software, in *existing* gear.
> And the mapping database can be implemented in server hardware that is on
> the edge and part of the infrastructure. In the same sort of nodes that DNS
> servers and resolvers are implemented in.
>
>
It is definately a new function, no matter how you word it.

> They are not fixed tunnels like most are accustomed to thinking. They are
> dynamically encapsulated packets that can change where packets go
> dynamically and frequently. They are not setup any more than a route is
> setup for regular datagram routing.

Jogging memory for ATM SVC dynamics

> > supportive for the e2e ipv6 network that ILNP creates.  This is a
> fundamental difference that i will always draw a line to.
> >
> > CB
>
> We can get that with a LISP EID allocation where nodes get IPv6 EIDs
> assigned THAT NEVER CHANGE. When you do that you can find nodes quickly and
> without support from DNS. The fact that IPv6 LISP-based EIDs are static is
> a feature and not a bug. I can explain more offline.
>
> Dino
>
>
> Let the record show

I am married to ILNP.

Dino is married to LISP.

CB

---

From: Tom Herbert <[email-masked]>
Date: Wed, 6 Apr 2016 23:28:51 -0300

On Wed, Apr 6, 2016 at 8:54 PM, Ca By <[email-masked]> wrote:
>> claimed is much “easier said than done”. If what you say it is easy then why
>> aren’t we all running SCTP everywhere?
>>
>
>> without support from DNS. The fact that IPv6 LISP-based EIDs are static is a
>> feature and not a bug. I can explain more offline.
>>
>> Dino
>>
>>
> Let the record show
>
> I am married to ILNP.
>
ILA may have an advantage over ILNP in this regard since it operates
solely at L3 and is transparent to L4 (no changes to TCP stack). The
locator translation can be performed at the end host or in the network
like LISP but without the overhead of encapsulation.

Tom

> Dino is married to LISP.
>
> CB
>
> _______________________________________________
> 5gangip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/5gangip
>

---

From: Dino Farinacci <[email-masked]>
Date: Wed, 6 Apr 2016 19:37:51 -0700

> like LISP but without the overhead of encapsulation.

For LISP, it can too run in the host and there is no translation. 

If you need to debug something in the core you can see Dino is sending from San Jose to Tom in Buenos Aires. That is pretty useful. But you can also obfuscate Dino and Tom for confidentiality so the core can debug San Jose is sending to Buenos Aires.

Dino

---

From: Ca By <[email-masked]>
Date: Wed, 6 Apr 2016 21:24:10 -0700

On Wednesday, April 6, 2016, Tom Herbert <[email-masked]> wrote:

> On Wed, Apr 6, 2016 at 8:54 PM, Ca By <[email-masked] <javascript:;>>
> wrote:
> >
> >
> >> > And, i for one, do not care for the tunneled internet that LISP
> creates.
> >> > On the other hand, i am very
> >>

I do not think changing host stacks is a huge challege

The ETSI folks seem willing to wipe the slate clean

http://www.etsi.org/news-events/news/1058-2016-01-news-etsi-creates-new-standardization-group-to-pave-the-way-for-next-generation-protocols

> like LISP but without the overhead of encapsulation.
Is "locator translation" a new term?

Does ILA have a mobility capability like ILNP?

I am concerned  about ILA centralized mapping, would that sacrifice privacy
extentions?

I really think there is a will to make a "great leap forward" with 5G,
including host stack mods.

 ILNP hits that sweet spot of keeping ipv6 but re-inventing the 3gpp packet
core, removing in-line functions like pgw and eliminating stateful nodes
like mme.

CB

> > [email-masked] <javascript:;>

---

From: Jon Crowcroft <[email-masked]>
Date: Thu, 7 Apr 2016 08:30:25 +0100

True dat. But change in net node is a zillion times more safety critical
than end node for exact converse reason...for some empirically determined
value of zillion....
On 7 Apr 2016 00:18, "Dino Farinacci" <[email-masked]> wrote:

> Well the phrase “ILNP is easier” is not empirical. And when more nodes
> have to change, even if they are easy to change, and there are orders of
> magntitude more of them than network nodes, it won’t be easier. Because
> everyone won’t change at the same time and you have a host-to-host
> interoperability problem. Just like an IPv4-only host and an IPv6-only host
> that may want to talk to each other.
>

---

From: Tom Herbert <[email-masked]>
Date: Thu, 7 Apr 2016 08:50:42 -0300

> Is "locator translation" a new term?
Address translation of a "virtual" ILA address to one containing a
locator for delivery over the network.

> Does ILA have a mobility capability like ILNP?
Object mobility in the datacenter is one major goal of ILA. We have
not yet thought through the details of using it as solution for mobile
IP in the Internet.

> I am concerned  about ILA centralized mapping, would that sacrifice privacy
I'm not sure what you mean by "centralized mapping". Since ILA
operates at L3 it doesn't impact transport layer security (TLS,
tcpcrypt).

> core, removing in-line functions like pgw and eliminating stateful nodes

The issue with ILNP is summed up in section 4 of RFC6741: "So,
transport protocol implementations MUST be modified in order to
operate over ILNP." Changing every transport protocol implementation
in every host stack to accommodate ILNP is a nonstarter. In lieu of
having source code that demonstrates feasibility otherwise, I just
don't see that ILNP will ever achieve widespread deployment. But the
principles are good, and I believe we were able to incorporate most of
those into ILA.

Tom

---

From: Ca By <[email-masked]>
Date: Thu, 7 Apr 2016 06:02:23 -0700

On Thursday, April 7, 2016, Tom Herbert <[email-masked]> wrote:

> On Thu, Apr 7, 2016 at 1:24 AM, Ca By <[email-masked] <javascript:;>>
> wrote:
> >
> >
> > On Wednesday, April 6, 2016, Tom Herbert <[email-masked]
> <javascript:;>> wrote:
> >>
> >> On Wed, Apr 6, 2016 at 8:54 PM, Ca By <[email-masked]
> <javascript:;>> wrote:
> >> >
> >> >
> <javascript:;>>
> >> >> > has to be deploy in host stacks where LISP can be deployed in a
> very
> >> >> > few
> >> >> host-to-host interoperability problem. Just like an IPv4-only host
> and
> >> >> an
> >> >> > From a mobile network provider perspective, ILNP is simpler since
> it
> >> >> > is
> >> >> And the mapping database can be implemented in server hardware that
> is
> >> >> on
> >> >> the edge and part of the infrastructure. In the same sort of nodes
> that
> >> >> DNS
> >> >> assigned THAT NEVER CHANGE. When you do that you can find nodes
> quickly
> >> >> and
> >> >> without support from DNS. The fact that IPv6 LISP-based EIDs are
> static
> >> >> is a

Mobility is the killer feature of ILNP.  With  ILNP, there are no mobility
providers since the function is in the host.  This is huge. This is the
fundamental value proposition of ILNP. This is the quantum leap 5g can
provide the internet.

> operates at L3 it doesn't impact transport layer security (TLS,
I only have a vague understanding of ILA, but your I-D has the word
centralized in it.  I need to study it more.

I was not referring to crypto, i was referring to ipv6 address  spreading
with rfc4941. This is a big deal for the security model, the fact that my
end-points are a needle in a haystack.

> in every host stack to accommodate ILNP is a nonstarter. In lieu of

IMHO, the ilnp hard part was getting critical mass on ipv6. This is assumed
done .

In a previous mail, i provided an ETSI (the 5g sdo) link where they are
forming a group to navel gave on if ip is good enough.

> principles are good, and I believe we were able to incorporate most of
Without mobility, ILA is a "non-starter." But I honestly need to learn
more.  i don't buy-in to the idea that we cannot engender host evolution.
5g is a generational change, and folks here really need to pause and grasp
that opportunity. It is not the normal incremental duct tape internet that
we know.

Tom

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 10:06:42 -0300

> True dat. But change in net node is a zillion times more safety critical than end node for exact converse reason...for some empirically determined value of zillion....

Right Jon, but the 5G core may have to change for other reasons anyways. 

Dino

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 7 Apr 2016 14:34:50 +0000

________________________________________
发件人: 5gangip [[email-masked]] 代表 Tom Herbert [[email-masked]]
发送时间: 2016年4月7日 19:50
收件人: Ca By
抄送: [email-masked]; [email-masked]; Dino Farinacci
主题: Re: [5gangip] Presentations from the side meeting

[Xiaohu] It said in section 5.2 of RFC6744: "... Because two different ILNP nodes at two different locations might
   share the same Identifier value, it is important for an ILNP
   implementation to use the ILNP Nonce values to distinguish between
   different ILNP nodes that happen to be using the same (or some of the
   same) Identifier value(s)." That means the transport layper protocol must be modified. How does ILA deal with the above ID confliction issue while keeping "it operates
solely at L3 and is transparent to L4 (no changes to TCP stack). "

Best regards,
Xiaohu

Tom

---

From: Jon Crowcroft <[email-masked]>
Date: Thu, 7 Apr 2016 15:41:44 +0100

5g core, rsn:)

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 7 Apr 2016 14:54:50 +0000

________________________________
发件人: 5gangip [[email-masked]] 代表 Ca By [[email-masked]]
发送时间: 2016年4月7日 12:24
收件人: Tom Herbert
抄送: [email-masked]; [email-masked]; Dino Farinacci
主题: Re: [5gangip] Presentations from the side meeting

On Wednesday, April 6, 2016, Tom Herbert <[email-masked]<mailto:[email-masked]>> wrote:
On Wed, Apr 6, 2016 at 8:54 PM, Ca By <[email-masked]<https://email-cn02.huawei.com/owa/UrlBlockedError.aspx>> wrote:
>
>
> On Wednesday, April 6, 2016, Dino Farinacci <[email-masked]<https://email-cn02.huawei.com/owa/UrlBlockedError.aspx>> wrote:
>>
>>
>> >
>> >
>> > On Wednesday, April 6, 2016, Dino Farinacci <[email-masked]<https://email-cn02.huawei.com/owa/UrlBlockedError.aspx>> wrote:
>> >> Our slides are attached.
>> >
>> What if that Android node needs to talk to www.yahoo.com<http://www.yahoo.com>? What is being

Tom

I am concerned  about ILA centralized mapping, would that sacrifice privacy extentions?

I really think there is a will to make a "great leap forward" with 5G, including host stack mods.

 ILNP hits that sweet spot of keeping ipv6 but re-inventing the 3gpp packet core, removing in-line functions like pgw and eliminating stateful nodes like mme.

[Xiaohu] Although I believe that the host-based  mobility scheme is needed in the case where both service continuety and path efficiency (i.e., route optimization in the MIP context) are required. However, MME is not only used to deal with mobility. It is also used to deal with IP CAN session managment (e.g., network access managment). Hence, even a particular host-based mobility scheme is adopted, the MME may not be eliminated. Furthermore, the host-based mobility scheme may not be a suitable choice for micro-mobility. IMHO, the EPC architecture may still be valuable for dealing with the micro-mobility need while the host-based mobility scheme is used for dealing with the macro-mobility need (e.g., mobility across EPC P-GWs, or mobility across cellular networks and WiFi networks which are under the controll of different wireless operators just like the mobility scenario of "Project Fi").

Best regards,
Xiaohu

CB

> [email-masked]<https://email-cn02.huawei.com/owa/UrlBlockedError.aspx>

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 07:59:02 -0700

> http://www.etsi.org/news-events/news/1058-2016-01-news-etsi-creates-new-standardization-group-to-pave-the-way-for-next-generation-protocols

Does that mean we can change 1 billion of them in 1 year?

Dino

---

From: Ca By <[email-masked]>
Date: Thu, 7 Apr 2016 08:32:32 -0700

> Does that mean we can change 1 billion of them in 1 year?
Yes, absolutely. But likely not the first year.

Mobile technology adoption is a very powerful instrument of change, see
this for solid historical data as well as future trends (less solid, as all
forecasts)

https://www.telegeography.com/products/commsupdate/articles/2015/06/16/global-lte-subscribers-to-quadruple-by-2019/

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 10:36:09 -0700

Mobile nodes talk to stationary nodes that don’t upgrade nearly as quickly.

Dino

> On Apr 7, 2016, at 8:32 AM, Ca By <[email-masked]> wrote:
> 
> 
> 
> Mobile technology adoption is a very powerful instrument of change, see this for solid historical data as well as future trends (less solid, as all forecasts)
>

---

From: Ca By <[email-masked]>
Date: Thu, 7 Apr 2016 10:56:29 -0700

> Mobile nodes talk to stationary nodes that don’t upgrade nearly as quickly.
Dino, it is not like you to poopoo a glorious vision of the possible. But
we can keep grinding away with the hand waves.

Measurably, Mobile nodes mostly talk to Google, FB, Netfix and other major
clouds that have very high feature velocity (watch http2, tls 1.3, ecdhe...)

All of which already have v6 today and their CEOs say things like "mobile
first"

CB

Dino
>
> > On Apr 7, 2016, at 8:32 AM, Ca By <[email-masked] <javascript:;>>
> wrote:
> >
> >
> >
> > On Thursday, April 7, 2016, Dino Farinacci <[email-masked]
> <javascript:;>> wrote:

---

From: Jon Crowcroft <[email-masked]>
Date: Thu, 7 Apr 2016 19:03:38 +0100

Legacy is with us longer than we would like, even when there's motives to
move on
..eg of evidence from another context:
http://androidvulnerabilities.org/
On 7 Apr 2016 5:24 am, "Ca By" <[email-masked]> wrote:

>> that DNS
>> quickly and
>> static is a
>  ILNP hits that sweet spot of keeping ipv6 but re-inventing the 3gpp
> packet core, removing in-line functions like pgw and eliminating stateful
> nodes like mme.
>
> CB
>
>
>> > Dino is married to LISP.
>> >
>> > CB
>> >

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 12:42:20 -0700

And Ca, if you put a multi-AF Locator-ID split solution in the host, then any of the 4 combinations could work. That will be the only way to get ubiquitous *use* of IPv6 (note I did not say deployment, being deployed is necessary but not sufficient).

Dino

> On Apr 7, 2016, at 11:03 AM, Jon Crowcroft <[email-masked]> wrote:
> 
> Legacy is with us longer than we would like, even when there's motives to move on

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 7 Apr 2016 15:17:44 -0500

Hi Dino,

I think you are overreacting.
We did not say anything against LISP and also we had a ? after mentioning LISP.

The fact is that you did not present LISP in any of our meetings, we
don't know enough about it.

Tom: Neither do we know much about ILA that you mentioned.

More importantly, we are interested in technical issues not about
arguments that it is easy/difficult to deploy.
Can we attack the specific issue that makes it difficult to deploy by
writing some drafts? That should be our focus.

Regards,

Behcet

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 18:21:09 -0300

Bechet, I was trying to spread awareness and education for folks who haven't seen the LISP drafts or not familiar with LISP. 

The LISP WG would have no problem presenting a LISP tutorial. 

Dino

> On Apr 7, 2016, at 5:17 PM, Behcet Sarikaya <[email-masked]> wrote:
> 
> Hi Dino,
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 7 Apr 2016 16:29:29 -0500

> The LISP WG would have no problem presenting a LISP tutorial.

No that is not the issue, I do have a LISP tutorial already.
Maybe in Berlin, you can present LISP from the perspective of 5G, if
you like otherwise we will find someone else.

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Apr 2016 21:56:54 -0300

> No that is not the issue, I do have a LISP tutorial already.

Well maybe others would benefit too. 

> you like otherwise we will find someone else.

I can certainly do that. 

Dino

---

From: Tom Herbert <[email-masked]>
Date: Fri, 8 Apr 2016 08:52:30 -0300

> Tom: Neither do we know much about ILA that you mentioned.
I am presenting an overview of ILA at rtgwg today (Friday).

Tom

> > And Ca, if you put a multi-AF Locator-ID split solution in the host,
then any of the 4 combinations could work. That will be the only way to get
ubiquitous *use* of IPv6 (note I did not say deployment, being deployed is
necessary but not sufficient).
> >> >> > has to be deploy in host stacks where LISP can be deployed in a
very few
> >> >> host-to-host interoperability problem. Just like an IPv4-only host
and an
> >> >> > From a mobile network provider perspective, ILNP is simpler since
it is
> >> >> And the mapping database can be implemented in server hardware that
is on
that DNS
creates.
quickly and
static is a

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 12 Apr 2016 14:22:02 -0500

Hi Tom,

Can we count on you for a follow-up presentation on ILA in Berlin?

Regards,

Behcet